
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER tracetest

#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./tracetest-tp.h"

#if !defined(TRACETEST_TP_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define TRACETEST_TP_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
    tracetest,
    first_tp,
    TP_ARGS(
        int, my_integer_arg,
        char*, my_string_arg
    ),
    TP_FIELDS(
        ctf_string(my_string_field, my_string_arg)
        ctf_integer(int, my_integer_field, my_integer_arg)
    )
)

#endif /* TRACETEST_TP_H */

#include <lttng/tracepoint-event.h>
